For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
      • GETList Programs
      • GETGet Program
  • DAFpay
  • Disbursements
  • Gift Processing
LogoLogo
Contact usLogin
Core ResourcesPrograms

List Programs

GET
/v1/programs
GET
/v1/programs
$curl https://api.givechariot.com/v1/programs \
> -H "Authorization: Bearer <token>"
1{
2 "results": [
3 {
4 "id": "program_01j8rs605a4gctmbm58d87mvsj",
5 "name": "Gift Processing",
6 "grant_disbursement_status": "enabled",
7 "gift_processing_status": "enabled",
8 "created_at": "2020-01-31T23:00:00Z",
9 "updated_at": "2020-01-31T23:00:00Z",
10 "description": "This program is used to unify and standardize donation processing across all Donor-Advised Fund grants."
11 }
12 ],
13 "next_page_token": "string"
14}
Returns a list of all programs for your Chariot account.
Was this page helpful?
Previous

Get Program

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional

Number of results per page. The default (and maximum) is 100 objects.

cursorstringOptional

Cursor token for pagination. Use the next_page_token from the previous response to retrieve the next page of results.

Response

The response for Programs.list
resultslist of objects
next_page_tokenstring

A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the pageToken). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error